Bug 91111 - Incorrect display of AM/PM in some locales
Incorrect display of AM/PM in some locales
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-18 17:56 EDT by Alan Cox
Modified: 2016-11-24 10:05 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.2-42
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-08 18:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-05-18 17:56:11 EDT
Description of problem:

date +"%r" fails to print AM/PM in cy_GB.UTF-8 or some other locales

Version-Release number of selected component (if applicable):

Red Hat 9. Red Hat 7.2 shows the same with en_GB, but 9 seems to have fixed that

How reproducible:

100%

Steps to Reproduce:
1. localdef -i cy_GB -f UTF-8 cy_GB.UTF-8
2. date +%r
    
Actual results:

No AM/PM

Expected results:

AM/PM

Additional info:

(AM/PM is correct for cy_GB)
Comment 1 Alan Cox 2003-05-18 17:56:33 EDT
http://sources.redhat.com/ml/bug-glibc/2002-06/msg00502.html


seems similar
Comment 2 Alan Cox 2003-05-18 18:01:28 EDT
Adding

am_pm       "<U0041><U004D>";"<U0050><U004D>"
t_fmt_ampm     
"<U0025><U006C><U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U0050><U0020><U0025><U005A>"
date_fmt        "<U0025><U0061><U0020><U0025><U0062><U0020><U0025><U0065>/
<U0020><U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
<U0025><U005A><U0020><U0025><U0059>"

seems to fix it btw
Comment 3 Jakub Jelinek 2003-05-21 06:21:26 EDT
Edited my copy, should appear in glibc-2.3.2-42 and later.
Thanks.
Comment 4 Jakub Jelinek 2003-07-08 18:33:14 EDT
rpm -q glibc; LC_ALL=cy_GB.UTF-8 date +%r
glibc-2.3.2-56
06:32:40 PM

Note You need to log in before you can comment on or make changes to this bug.